[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Build Failure



Michael Schwendt wrote:

On Thu, 26 May 2005 16:31:25 -0500, Quentin Spencer wrote:



GiNaC has been failing to build on the build system. The failure appears to happen during the configure stage when it's looking for cln. cln was recently built and released (version 1.1.9), and cln-devel is required for the build. However, the following error is encountered in configure:

checking for cln-config... /usr/bin/cln-config
checking for CLN - version >= 1.1.0... no
*** Could not run CLN test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means CLN was incorrectly installed
*** or that you have moved CLN since it was installed. In the latter case, you
*** may want to edit the cln-config script: /usr/bin/cln-config.


configure is correctly finding the presence of /usr/bin/cln-config, which is in cln-devel, but for some reason there's a failure. I can't duplicate this on my i386 system. Any ideas on why this might happen? Is there any way to get at the config.log file mentioned in the error message?



$ cln-config --libs -L/usr/lib -lcln -lgmp

$ rpm -qR cln-devel
/bin/sh /bin/sh /bin/sh cln = 1.1.9-2.fc4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


Looks like it's missing "Requires: gmp-devel" in cln-devel at least.


You were right. The configure script doesn't explicitly check for gmp-devel anywhere, but the CLN check fails if it's not present. Thanks for the insight.

-Quentin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]